libdvbv5 1.32.0 Library to work with Digital TV devices on Linux

atsc_table_eit Struct Reference
Digital TV table parsing

ATSC EIT table. More...

`#include <atsc_eit.h>`

## Data Fields
struct dvb_table_header | header
uint8_t | protocol_version
uint8_t | events
struct atsc_table_eit_event * | event

## Detailed Description

ATSC EIT table.

Parameters

  header | struct dvb_table_header content
  protocol_version | protocol version
  events | events
  event | pointer to struct atsc_table_eit_event

This structure is used to store the original ATSC EIT table, converting the integer fields to the CPU endianness.

Everything after atsc_table_eit::event (including it) won't be bit-mapped to the data parsed from the MPEG TS. So, metadata are added there.

Definition at line 146 of file atsc_eit.h.

## Field Documentation

## ◆ event

struct atsc_table_eit_event* atsc_table_eit::event

Definition at line 150 of file atsc_eit.h.

## ◆ events

uint8_t atsc_table_eit::events

Definition at line 149 of file atsc_eit.h.

## ◆ header

struct dvb_table_header atsc_table_eit::header

Definition at line 147 of file atsc_eit.h.

## ◆ protocol_version

uint8_t atsc_table_eit::protocol_version

Definition at line 148 of file atsc_eit.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/atsc_eit.h